/************************************************************
;                                                           *
;  William M. Spears					    *
;  Navy Center for Applied Research in AI                   *
;  Naval Research Laboratory                                *
;                                                           *
;  This software is the property of the Department of the   *
;  Navy. Permission is hereby granted to copy all or any    *
;  part of this program for free distribution, however      *
;  this header is required on all copies.		    *
;                                                           *
; File: myeval.c                                            *
;************************************************************/

#include "header.h"

/* One Max Problem */

double gil1 (i)
int i;
{
   int j, temp;
  
   temp = 0;
   solution = length;
   for (j = 1; j <= length; j++) {
     if (c[i][j] == 1) temp++;
   }
   return((double)temp);
}

/* Sparse One Max Problem */

double gil2 (i)
int i;
{
   int j, temp;
  
   temp = 0;
   solution = 30;
   for (j = 1; j <= 30; j++) {
     if (c[i][j] == 1) temp++;
   }
   return((double)temp);
}

double myeval (i)
int i;
{
   return(gil2(i));
}
